%define _unpackaged_files_terminate_build 0
%define pname ipcalc
%define upname IPCALC
%define pversion 1.0.2
%define pkgfile http://mirror.oops.org/pub/oops/php/pear/%{pname}/%{pname}-%{pversion}.tgz

Summary: PEAR::IPCALC frontend
Name: pear-%{pname}
Version: %{pversion}
Release: 1%{?dist}
Epoch: 0
License: BSD
Group: Development/Languages
URL: http://pear.oops.org/docs/%{upname}/%{upname}.html
BuildRoot: /var/tmp/%{name}-root
BuildRequires: php-pear /usr/share/php/pear/.channels/pear.oops.org.reg
Requires: php-pear
BuildArch: noarch

%description
This package is pear package that used pure libipcalc api

%prep
cd $RPM_SOURCE_DIR
[ -f %{pname}-%{pversion}.tgz ] && rm -f %{pname}-%{pversion}.tgz
curl -o %{pname}-%{pversion}.tgz %{pkgfile}

%install
%{__pear} install \
		--offline \
		--ignore-errors \
		--packagingroot=%{buildroot} $RPM_SOURCE_DIR/%{pname}-%{pversion}.tgz
%{__rm} -f $RPM_SOURCE_DIR/%{pname}-%{pversion}.tgz

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{pear_phpdir}/%{pname}.php
%{pear_phpdir}/%{upname}/*.php
%{pear_phpdir}/.registry/.channel.pear.oops.org/%{pname}.reg

%changelog
* Tue Feb 28 2012 JoungKyun.Kim <http://oops.org> 0:2.0.0-1%{?dist}
- first packages

